From 8d43a62b0692c268e27edecd876105cc6598e3a7 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Kempf <jb@videolan.org>
Date: Sun, 26 May 2013 15:18:03 +0200
Subject: [PATCH] Fix vlc_poll issue

---
 include/vlc_threads.h | 19 -------------------
 src/win32/thread.c    | 18 ++++++++++++++++++
 2 files changed, 18 insertions(+), 19 deletions(-)

diff --git a/include/vlc_threads.h b/include/vlc_threads.h
index ae83588..ae10a96 100644
--- a/include/vlc_threads.h
+++ b/include/vlc_threads.h
@@ -386,26 +386,7 @@ struct vlc_cleanup_t
 
 #ifndef LIBVLC_USE_PTHREAD_CANCEL
 /* poll() with cancellation */
-# ifdef __OS2__
 int vlc_poll (struct pollfd *fds, unsigned nfds, int timeout);
-# else
-static inline int vlc_poll (struct pollfd *fds, unsigned nfds, int timeout)
-{
-    int val;
-
-    do
-    {
-        int ugly_timeout = ((unsigned)timeout >= 50) ? 50 : timeout;
-        if (timeout >= 0)
-            timeout -= ugly_timeout;
-
-        vlc_testcancel ();
-        val = poll (fds, nfds, ugly_timeout);
-    }
-    while (val == 0 && timeout != 0);
-
-    return val;
-}
 # endif
 
 # define poll(u,n,t) vlc_poll(u, n, t)
diff --git a/src/win32/thread.c b/src/win32/thread.c
index f3bb36a..33077ee 100644
--- a/src/win32/thread.c
+++ b/src/win32/thread.c
@@ -586,6 +586,24 @@ void vlc_control_cancel (int cmd, ...)
     va_end (ap);
 }
 
+int vlc_poll (struct pollfd *fds, unsigned nfds, int timeout)
+{
+    int val;
+
+    do
+    {
+        int ugly_timeout = ((unsigned)timeout >= 50) ? 50 : timeout;
+        if (timeout >= 0)
+            timeout -= ugly_timeout;
+
+        vlc_testcancel ();
+        val = poll (fds, nfds, ugly_timeout);
+    }
+    while (val == 0 && timeout != 0);
+
+    return val;
+}
+
 /*** Clock ***/
 static CRITICAL_SECTION clock_lock;
 
-- 
1.8.2.3

